<?php

namespace FiloBlu\Hotfix\Plugin;
/**
 * Class FixSubjectEmailSpecialChars
 * @package FiloBlu\Hotfix\Plugin
 */
class FixSubjectEmailSpecialChars {

    /**
     * @param \Magento\Email\Model\Template $subject
     * @param $result
     * @return string
     */
    public function afterGetSubject(\Magento\Email\Model\Template $subject, $result)
    {
        return htmlspecialchars_decode((string)$result, ENT_QUOTES);
    }
}